aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.DeleteIdentity

Synopsis

- data DeleteIdentity = DeleteIdentity Text
- data DeleteIdentityResponse = DeleteIdentityResponse

# Documentation

data DeleteIdentity #

Delete an email address or domain

Constructors

DeleteIdentity Text |

#### Instances

Instances details

SignQuery DeleteIdentity # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type ServiceConfiguration DeleteIdentity |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ServiceConfiguration DeleteIdentity = SesConfiguration

Methods

signQuery :: DeleteIdentity -> ServiceConfiguration DeleteIdentity queryType -> SignatureData -> SignedQuery #

Show DeleteIdentity # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity Methods showsPrec :: Int -> DeleteIdentity -> ShowS # show :: DeleteIdentity -> String # showList :: [DeleteIdentity] -> ShowS #
Eq DeleteIdentity # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity Methods (==) :: DeleteIdentity -> DeleteIdentity -> Bool # (/=) :: DeleteIdentity -> DeleteIdentity -> Bool #
Ord DeleteIdentity # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Methods

compare :: DeleteIdentity -> DeleteIdentity -> Ordering #

(<) :: DeleteIdentity -> DeleteIdentity -> Bool #

(<=) :: DeleteIdentity -> DeleteIdentity -> Bool #

(>) :: DeleteIdentity -> DeleteIdentity -> Bool #

(>=) :: DeleteIdentity -> DeleteIdentity -> Bool #

max :: DeleteIdentity -> DeleteIdentity -> DeleteIdentity #

min :: DeleteIdentity -> DeleteIdentity -> DeleteIdentity #

ResponseConsumer DeleteIdentity DeleteIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type ResponseMetadata DeleteIdentityResponse |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ResponseMetadata DeleteIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> DeleteIdentity -> IORef (ResponseMetadata DeleteIdentityResponse) -> HTTPResponseConsumer DeleteIdentityResponse #

Transaction DeleteIdentity DeleteIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity
type ServiceConfiguration DeleteIdentity # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ServiceConfiguration DeleteIdentity = SesConfiguration

data DeleteIdentityResponse #

The response sent back by Amazon SES after a `DeleteIdentity` command.

Constructors

DeleteIdentityResponse |

#### Instances

Instances details

AsMemoryResponse DeleteIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type MemoryResponse DeleteIdentityResponse |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type MemoryResponse DeleteIdentityResponse = DeleteIdentityResponse

Methods

loadToMemory :: DeleteIdentityResponse -> ResourceT IO (MemoryResponse DeleteIdentityResponse) #

Show DeleteIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity Methods showsPrec :: Int -> DeleteIdentityResponse -> ShowS # show :: DeleteIdentityResponse -> String # showList :: [DeleteIdentityResponse] -> ShowS #
Eq DeleteIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity Methods (==) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool # (/=) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool #
Ord DeleteIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Methods

compare :: DeleteIdentityResponse -> DeleteIdentityResponse -> Ordering #

(<) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool #

(<=) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool #

(>) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool #

(>=) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool #

max :: DeleteIdentityResponse -> DeleteIdentityResponse -> DeleteIdentityResponse #

min :: DeleteIdentityResponse -> DeleteIdentityResponse -> DeleteIdentityResponse #

ResponseConsumer DeleteIdentity DeleteIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type ResponseMetadata DeleteIdentityResponse |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ResponseMetadata DeleteIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> DeleteIdentity -> IORef (ResponseMetadata DeleteIdentityResponse) -> HTTPResponseConsumer DeleteIdentityResponse #

Transaction DeleteIdentity DeleteIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity
type MemoryResponse DeleteIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type MemoryResponse DeleteIdentityResponse = DeleteIdentityResponse
type ResponseMetadata DeleteIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ResponseMetadata DeleteIdentityResponse = SesMetadata